[//]: # "Title: Projects - sapphirus.org"
[//]: # "Copyright (C) 2024 Xavier Moffett
         All Rights Reserved"

# Projects

## Software

These are software projects I've developed to one degree or another over the past while. Preferred language of choice right now is Rust, although you'll find other languages mixed within these projects. 

The source code for these projects, most of which are open source, are available both on Github and my own self-hosted Forgejo instance.

### pacwrap ([Github](https://github.com/pacwrap)) ([Git](https://git.sapphirus.org/pacwrap))
 
A package management front-end which utilises libalpm to facilitate the creation of unprivileged, userspace containers with parallelised, filesystem-agnostic deduplication. These containers are constructed via bubblewrap to execute package transactions and launch applications.

### Window Controls Applet ([Github](https://github.com/SapphirusBeryl/window-controls-applet)) ([Git](https://git.sapphirus.org/Sapphirus/window-controls-applet))

Provides a themable window control applet for the Cinnamon Desktop Environment.

Motivation for this project was to have a usable desktop environment whilst maximising screen real estate.

### SimpleByteUnit ([Github](https://github.com/SapphirusBeryl/simplebyteunit)) ([Git](https://git.sapphirus.org/Sapphirus/simplebyteunit))

SimpleByteUnit is a crate which provides a thin encapsulate for integer primitives to facilitate a fast, simple, yet ergonomic byteunit implementation.

Utilising Rust's sum type, it provides a simple way to convert integers into human-readable byteunits.

### Static Website Generator

Used to generate this website with 🦀. More coming on this soon™.

These hypertext documents were derived from version-controlled markdown documents. Each document is made source available [here](https://git.sapphirus.org/sapphirus.org/website).

## Packages

I'm presently the maintainer of the following [AUR](https://git.sapphirus.org/AUR) packages:

- #### opencubicplayer
- #### libancient
- #### pacwrap
